Cytosim PI Cytoskeleton Simulator

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members | Public Member Functions | Public Attributes | Static Public Attributes
PlayProp Class Reference
Inheritance diagram for PlayProp:

## Public Member Functions
| PlayProp (const std::string &n, int i=-1)
| constructor
| ~PlayProp ()
| destructor
std::string | kind () const
| identifies the property
void | clear ()
| set default values
void | read (Glossary &)
| set from a Glossary
Property * | clone () const
| return a carbon copy of object
void | write_data (std::ostream &) const
| write all values
void | toggleReport (bool alt)
| change report to be one of report?
Public Member Functions inherited from Property
| Property (const std::string &n, const int index=-1)
| constructor must provide a name
virtual | ~Property ()
| destructor
std::string | name () const
| return identifier for instantiation
void | name (const std::string &n)
| change name
bool | is_named (const std::string &n)
| true if 'name' matches
int | index () const
| index, unique among all Property of similar kind()
void | index (int x)
| set index in the array of Properties
bool | modified () const
| true if at least one value is different than its default setting
void | readString (std::string &, char stamp)
| set from a string, return number of values assigned More...
void | readFile (const char file[])
| set from a string, return number of values assigned
virtual void | complete (SimulProp const *sp, PropertyList *plist)
| set variables derived from the parameters, and check consistency of values More...
void | write_diff (std::ostream &, const Property *ref) const
| write only values that differ from the ones specified in ref
void | write_diff (std::ostream &, bool prune) const
| if ( prune == true ), write values that differ from the default values
void | write (std::ostream &, bool prune=false) const
| write header + data More...

## Public Attributes
unsigned int | live
| a flag for live simulation
int | frame
| index of displayed frame in trajectory file
int | dir
| direction of replay { -1, 0, 1 }
unsigned int | loop
| if true, jump to first frame after last frame
unsigned int | period
| number of simulation steps between consecutive displays More...
unsigned int | delay
| number of milli-seconds between refresh
unsigned int | style
| style of display { 1, 2, 3 } More...
std::string | report
| specifies information displayed near the bottom left corner of window
char | magic_key [NB_MAGIC_KEYS]
| associate a piece of custom code to a key More...
std::string | image_format
| format of exported images [gif, png, ppm]
std::string | image_dir
| directory where images are exported
std::string | report1
| list of report-strings accessible from play
std::string | report2
std::string | report3
std::string | report4
std::string | report5
int | image_index
| index used to build the name of the exported image
int | poster_index
| index used to build the name of the exported poster
std::string | magic_code [NB_MAGIC_KEYS]
| the piece of cytosim code executed when `magic_key` is pressed (set as magic_key[1])

## Static Public Attributes
static const int | NB_MAGIC_KEYS = 4
| number of programmable keys

## Additional Inherited Members
Static Public Member Functions inherited from Property
template<typename C >
static void | write_param (std::ostream &os, std::string const &name, C const &c)
| formatted output of one parameter
template<typename C >
static void | write_param (std::ostream &os, std::string const &name, C const *c, int cnt)
| formatted output of one parameter
template<typename C , typename D >
static void | write_param (std::ostream &os, std::string const &name, C const &c, D const &d)
| formatted output of one parameter
template<typename C , typename D , typename E >
static void | write_param (std::ostream &os, std::string const &name, C const &c, D const &d, E const &e)
| formatted output of one parameter
template<typename C , typename D , typename E , typename F >
static void | write_param (std::ostream &os, std::string const &name, C const &c, D const &d, E const &e, F const &f)
| formatted output of one parameter